<ion-app>
  <ion-content>
    <ion-menu slide="start">
      <ion-header>
        <ion-toolbar>
          <ion-title>
            MediChain Logistics
          </ion-title>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <ion-list>
          <ion-menu-toggle (click)="onNavDashboard()">
            <ion-item lines="none" button>
              <ion-icon name="apps" slot="start"></ion-icon>
              <ion-label>
                Dashboard
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle (click)="onNavElementList()">
            <ion-item lines="none" button>
              <ion-icon name="archive" slot="start"></ion-icon>
              <ion-label>
                Shipment List
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle (click)="onNavProfile()">
            <ion-item lines="none" button>
              <ion-icon name="person" slot="start"></ion-icon>
              <ion-label>
                Profile
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle>
            <ion-item lines="none" (click)="onLogout()" button>
              <ion-icon name="exit" slot="start"></ion-icon>
              <ion-label>
                Logout
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet main></ion-router-outlet>
  </ion-content>
</ion-app>
